const app = new Vue({
    el: '#app',
    data: {
        binaryDigits: [0, 0, 0, 0, 0, 0, 0, 0],
        showing: 'Binary'
    },
    computed: {
        decimalValue() {
            var sum = 0
            for( var n = 0; n < this.binaryDigits.length; n++ ) {
                sum += this.binaryDigits[n] * Math.pow(2, n)
            }
            return sum;
        },
        octalValue() {
            return this.decimalValue.toString(8)
        },
        hexValue() {
            return this.decimalValue.toString(16).toUpperCase()
        },
        binaryValue() {
            return this.decimalValue.toString(2)
        }
    },
    methods: {
        selectView(view) {
            this.showing = view
        }
    }
})